Nova Pro
Approved Data Classifications
Description
Amazon Nova is AWS's foundation model family for text, image, and video tasks.
- Amazon Nova Pro: A highly capable multimodal model that balances accuracy, speed, and cost, excelling in complex tasks such as video summarization and software development. AWS lists Nova Pro as released on December 3, 2024.
These models are integrated with Amazon Bedrock, enabling seamless deployment and scalability for developers aiming to build and enhance AI-driven applications.
Capabilities
| Model | Release Date | Input | Output | Context Length | Cost (per 1 million tokens) |
|---|---|---|---|---|---|
| nova-pro | Dec 3 2024 | Image, Text, Video | Text | 300,000 | $0.80/1M input $3.20/1M output |
info
1Mrepresents 1 Million Tokens- All prices listed are based on 1 Million Tokens
Availability
Cloud Provider
Usage
- curl
- python
- javascript
curl -X POST https://api.ai.it.ufl.edu/v1/chat/completions \
-H "Content-Type: application/json" \
-H "Authorization: Bearer <API_TOKEN>" \
-d '{
"model": "nova-pro",
"messages": [
{
"role": "system",
"content": "You are a helpful assistant."
},
{
"role": "user",
"content": "Write a haiku about an Alligator."
}
]
}'
from openai import OpenAI
client = OpenAI(
api_key="your_api_key",
base_url="https://api.ai.it.ufl.edu/v1"
)
response = client.chat.completions.create(
model="nova-pro", # model to send to the proxy
messages = [
{ role: "system", content: "You are a helpful assistant." },
{
"role": "user",
"content": "Write a haiku about an Alligator."
}
]
)
print(response.choices[0].message)
import OpenAI from 'openai';
const openai = new OpenAI({
apiKey: 'your_api_key',
baseURL: 'https://api.ai.it.ufl.edu/v1'
});
const completion = await openai.chat.completions.create({
model: "nova-pro",
messages: [
{ role: "system", content: "You are a helpful assistant." },
{
role: "user",
content: "Write a haiku about an Alligator.",
},
],
});
print(completion.choices[0].message)
References
- LLM Stats
https://llm-stats.com- Artificial Analysis
https://artificialanalysis.ai- Huggingface
https://huggingface.co/- AWS
https://aws.amazon.com/ai/